com.tibbo.aggregate.common.context

## Class EventEnvironmentResolver

- java.lang.Object
- - com.tibbo.aggregate.common.expression.AbstractReferenceResolver
  - - com.tibbo.aggregate.common.context.EventEnvironmentResolver

- All Implemented Interfaces:
    ReferenceResolver

      public class EventEnvironmentResolver
      extends AbstractReferenceResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventEnvironmentResolver(EnvironmentReferenceResolver environmentResolver, Event ev)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContextManager(java.lang.String schema, ContextManager cm)`
    `java.lang.Object` | `get(java.lang.String variable)`
    `CallerController` | `getCallerController()`
    `ContextManager` | `getContextManager()`
    `Context` | `getDefaultContext()`
    `java.lang.Integer` | `getDefaultRow()`
    `DataTable` | `getDefaultTable()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getEnvironment()`
    `Evaluator` | `getEvaluator()`
    `java.lang.Object` | `resolveReference(Reference ref, EvaluationEnvironment environment)`
    `void` | `set(java.lang.String variable, java.lang.Object value)`
    `void` | `setCallerController(CallerController callerController)`
    `void` | `setContextManager(ContextManager contextManager)`
    `void` | `setDefaultContext(Context defaultContext)`
    `void` | `setDefaultRow(java.lang.Integer defaultRow)`
    `void` | `setDefaultTable(DataTable defaultTable)`
    `void` | `setEnvironment(java.util.Map<java.lang.String,java.lang.Object> environment)`
    `void` | `setEvaluator(Evaluator evaluator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventEnvironmentResolver

          public EventEnvironmentResolver(EnvironmentReferenceResolver environmentResolver,
                                          Event ev)

  - ### Method Detail

    - #### resolveReference

          public java.lang.Object resolveReference(Reference ref,
                                                   EvaluationEnvironment environment)
                                            throws SyntaxErrorException,
                                                   EvaluationException,
                                                   ContextException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `ContextException`

    - #### getCallerController

          public CallerController getCallerController()

      Specified by:
        `getCallerController` in interface `ReferenceResolver`
      Overrides:
        `getCallerController` in class `AbstractReferenceResolver`

    - #### getDefaultContext

          public Context getDefaultContext()

      Specified by:
        `getDefaultContext` in interface `ReferenceResolver`
      Overrides:
        `getDefaultContext` in class `AbstractReferenceResolver`

    - #### getContextManager

          public ContextManager getContextManager()

      Specified by:
        `getContextManager` in interface `ReferenceResolver`
      Overrides:
        `getContextManager` in class `AbstractReferenceResolver`

    - #### getDefaultRow

          public java.lang.Integer getDefaultRow()

      Specified by:
        `getDefaultRow` in interface `ReferenceResolver`
      Overrides:
        `getDefaultRow` in class `AbstractReferenceResolver`

    - #### getDefaultTable

          public DataTable getDefaultTable()

      Specified by:
        `getDefaultTable` in interface `ReferenceResolver`
      Overrides:
        `getDefaultTable` in class `AbstractReferenceResolver`

    - #### getEvaluator

          public Evaluator getEvaluator()

      Specified by:
        `getEvaluator` in interface `ReferenceResolver`
      Overrides:
        `getEvaluator` in class `AbstractReferenceResolver`

    - #### addContextManager

          public void addContextManager(java.lang.String schema,
                                        ContextManager cm)

      Overrides:
        `addContextManager` in class `AbstractReferenceResolver`

    - #### setCallerController

          public void setCallerController(CallerController callerController)

      Specified by:
        `setCallerController` in interface `ReferenceResolver`
      Overrides:
        `setCallerController` in class `AbstractReferenceResolver`

    - #### setDefaultContext

          public void setDefaultContext(Context defaultContext)

      Specified by:
        `setDefaultContext` in interface `ReferenceResolver`
      Overrides:
        `setDefaultContext` in class `AbstractReferenceResolver`

    - #### setContextManager

          public void setContextManager(ContextManager contextManager)

      Specified by:
        `setContextManager` in interface `ReferenceResolver`
      Overrides:
        `setContextManager` in class `AbstractReferenceResolver`

    - #### setDefaultRow

          public void setDefaultRow(java.lang.Integer defaultRow)

      Specified by:
        `setDefaultRow` in interface `ReferenceResolver`
      Overrides:
        `setDefaultRow` in class `AbstractReferenceResolver`

    - #### setDefaultTable

          public void setDefaultTable(DataTable defaultTable)

      Specified by:
        `setDefaultTable` in interface `ReferenceResolver`
      Overrides:
        `setDefaultTable` in class `AbstractReferenceResolver`

    - #### set

          public void set(java.lang.String variable,
                          java.lang.Object value)

    - #### setEvaluator

          public void setEvaluator(Evaluator evaluator)

      Specified by:
        `setEvaluator` in interface `ReferenceResolver`
      Overrides:
        `setEvaluator` in class `AbstractReferenceResolver`

    - #### get

          public java.lang.Object get(java.lang.String variable)

    - #### setEnvironment

          public void setEnvironment(java.util.Map<java.lang.String,java.lang.Object> environment)

    - #### getEnvironment

          public java.util.Map<java.lang.String,java.lang.Object> getEnvironment()